Summary: Client side for the autoupdate program
Name: update-client
Version: 2.0
Release: 1
Packager: Kirk W. Bauer <kirk@gt.ed.net>
Copyright: distributable
Group: Utilities/System
Source: ftp.kaybee.gt.ed.net:/pub/update-client-2.0.tar.gz
Requires: crontabs,bash,fileutils,sh-utils,grep,rpm,textutils,rpm-utils

%description
This script is designed to be run every night by a server machine.
It will look for new updates and install them if necessary.  It will
also let any number of client machines apply the same upgrades if
necessary.  THIS IS THE CLIENT PART!

%prep
%setup
%build

%install
mkdir -p /usr/doc/update-client-2.0-1
cp -a README /usr/doc/update-client-2.0-1
cp -a autoupdate /usr/doc/update-client-2.0-1
cp -a update-client /etc/cron.daily

%post
echo "You should definately edit the /etc/cron.daily/update-client script."
echo "You must tell the script where to find the files the server leaves for"
echo "it (the same directory you set in the /etc/cron.daily/autoupdate on"
echo "the server machine)."

%files
%dir /usr/doc/update-client-2.0-1
%doc /usr/doc/update-client-2.0-1/README
%doc /usr/doc/update-client-2.0-1/autoupdate
%config /etc/cron.daily/update-client
